LOCK_FUNCTION(3)

NAME
LOCK_FUNCTION - Locks the memory of a function used by a timer. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

Macro LOCK_FUNCTION(function_name);

DESCRIPTION
Due to interrupts, you are required to lock all the memory used by your timer routines. See the description of install_int_ex() for a more detailed explanation and usage example.

SEE ALSO
install_int(3), install_int_ex(3), exkeys(3), exscn3d(3), exsprite(3), exswitch(3), extimer(3), exupdate(3), exzbuf(3)